Subject: bug#4876 closed by Juri Linkov <[email-masked]> (Re: bug#4876: Defcustom without keywords)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 15 Nov 2009 15:40:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4876: Defcustom without keywords

It has been closed by Juri Linkov <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juri Linkov <[email-masked]> by
replying to this email.

-- 
4876: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4876
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4876: Defcustom without keywords
From: Juri Linkov <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Nov 2009 17:33:20 +0200

> I can't see any reason not to just fix this.

Fixed.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: Defcustom without keywords
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Fri, 06 Nov 2009 03:52:47 +0200

I noticed a strange defcustom without any keyword in simple.el:

  (defcustom set-mark-default-inactive nil
    "If non-nil, setting the mark does not activate it.
  This causes \\[set-mark-command] and \\[exchange-point-and-mark] to
  behave the same whether or not `transient-mark-mode' is enabled.")

I could guess that :type should be 'boolean, :group 'editing-basics
and :version probably "23.1".  Was it supposed to be so?

-- 
Juri Linkov
http://www.jurta.org/emacs/